Package ghidra.program.database

# Class DataTypeArchiveLinkContentHandler

java.lang.Object
ghidra.framework.data.LinkHandler<DataTypeArchiveDB>
ghidra.program.database.DataTypeArchiveLinkContentHandler

All Implemented Interfaces:
  `ContentHandler<DataTypeArchiveDB>`, `ExtensionPoint`

public class DataTypeArchiveLinkContentHandler extends LinkHandler<DataTypeArchiveDB>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.framework.data.LinkHandler

  `LinkHandler.LinkStatus`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVE_LINK_CONTENT_TYPE`
  `static DataTypeArchiveLinkContentHandler`
  `INSTANCE`

  ### Fields inherited from class ghidra.framework.data.LinkHandler

  `LINK_ICON, URL_METADATA_KEY`

  ### Fields inherited from interface ghidra.framework.data.ContentHandler

  `MISSING_CONTENT, UNKNOWN_CONTENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTypeArchiveLinkContentHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  Returns a unique content-type identifier
  `String`
  `getContentTypeDisplayString()`
  A string that is meant to be presented to the user.
  `String`
  `getDefaultToolName()`
  Returns the name of the default tool/template that should be used to open this content type.
  `Class<DataTypeArchiveDB>`
  `getDomainObjectClass()`
  Returns domain object implementation class supported.
  `Icon`
  `getIcon()`
  Get the base icon for this link-file which does not include the link overlay icon.

  ### Methods inherited from class ghidra.framework.data.LinkHandler

  `createFile, createLink, followInternalLinkage, getAbsoluteLinkPath, getChangeSet, getDomainObject, getImmutableObject, getLinkFileStatus, getLinkHandler, getLinkURL, getMergeManager, getReadOnlyObject, isPrivateContentType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.data.ContentHandler

  `canResetDBSourceFile, resetDBSourceFile`

- ## Field Details

  - ### INSTANCE

    public static DataTypeArchiveLinkContentHandler INSTANCE

  - ### ARCHIVE_LINK_CONTENT_TYPE

    public static final String ARCHIVE_LINK_CONTENT_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataTypeArchiveLinkContentHandler

    public DataTypeArchiveLinkContentHandler()

- ## Method Details

  - ### getContentType

    public String getContentType()
    Description copied from interface: `ContentHandler`
    Returns a unique content-type identifier
    Returns:
      content type identifier for associated domain object(s).

  - ### getContentTypeDisplayString

    public String getContentTypeDisplayString()
    Description copied from interface: `ContentHandler`
    A string that is meant to be presented to the user.
    Returns:
      user friendly content type for associated domain object(s).

  - ### getDomainObjectClass

    public Class<DataTypeArchiveDB> getDomainObjectClass()
    Description copied from interface: `ContentHandler`
    Returns domain object implementation class supported.
    Returns:
      implementation class for the associated `DomainObjectAdapter` implementation.

  - ### getIcon

    public Icon getIcon()
    Description copied from class: `LinkHandler`
    Get the base icon for this link-file which does not include the link overlay icon.
    Specified by:
      `getIcon` in interface `ContentHandler<DataTypeArchiveDB>`
    Specified by:
      `getIcon` in class `LinkHandler<DataTypeArchiveDB>`
    Returns:
      base icon to be used for a `DomainFile` with the associated content type.

  - ### getDefaultToolName

    public String getDefaultToolName()
    Description copied from interface: `ContentHandler`
    Returns the name of the default tool/template that should be used to open this content type.
    Returns:
      associated default tool name for this content type